<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla8con($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('8_ingresos_netos', $where, 1);
    $codigo_8 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    $where = array('idformato' => $idformato);
    $CI->db->select('formatos.idusuario as idusuario,formatos.fecha_confirmacion as fecha_confirmacion, view_empleados.nivel as nivel');
    $CI->db->from('formatos');
    $CI->db->join('view_empleados', 'formatos.idusuario=view_empleados.idusuario');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_nivel = $query->row();

    // 8. INGRESOS NETOS DEL DECLARANTE, PAREJA Y / O DEPENDIENTES ECONÓMICOS

    if ($view_nivel != null) {
        if ($view_nivel->nivel == 6) {
            $pdf->SetFont('Arial', 'B', 14);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(19);
            $pdf->SetX(13);
           // $pdf->MultiCell(15, 8, ' ', 0, 0, true);
        }
    }
    //-  $pdf->MultiCell(27, 8, utf8_decode('****'. $view_nivel->nivel), 0, 0, true);
    // $pdf->setSourceFile('plantillas/Ingresos_8.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);
    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);

                $pdf->SetY(61.5);;
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->I_remuneracion_mensual));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_otros_ingresos));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_1_actividad));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(140, 4, utf8_decode($codigo_8->razon_social));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(140, 4, utf8_decode($codigo_8->tipo_negocio));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_2_actividad_finenciera));
                $pdf->Ln(9);
                $pdf->SetX(13);
                if ($codigo_8->tipo_instrumento == 'OTRO / ESPECIFIQUE') {
                    $pdf->Cell(133, 4, utf8_decode($codigo_8->tipo_instrumento_esp));
                } else {
                    $pdf->Cell(133, 4, utf8_decode($codigo_8->tipo_instrumento));
                }
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_3_servicios));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(120, 4, utf8_decode($codigo_8->tipo_servicio));
                $pdf->Ln(9);
                $pdf->SetX(13);
                if($codigo->tipo_formato == 2 || $codigo->tipo_formato == 3){
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_4_enajenacion));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->tipo_enajenado));
                $pdf->Ln(9);
                $pdf->SetX(13);
                }
                
               $pdf->Cell(47, 4, utf8_decode($codigo_8->II_no_considerados));
               $pdf->Ln(9.5);
               $pdf->SetX(13);
                $pdf->Cell(85, 4, utf8_decode($codigo_8->tipo_ingreso));
                $pdf->Ln(12.5);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->ingreso_declarante));
                $pdf->Ln(13);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->ingreso_pareja_dependiente));
                $pdf->Ln(13.5);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->total_ingresos));
                $pdf->Ln(9.5);
                $pdf->SetX(13);
                $pdf->MultiCell(190, 3.5, utf8_decode($codigo_8->aclaraciones));

}

